""" surl.surlscript """

# Copyright (c) 2009 Savvas Radevic <vicedar@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

#services.py
try:
    import services
except ImportError:
    import surl.services as services

def shorten(args, service, url):
    print services.supportedServices()[service].get(args, url)

def parseScript(args, path):
    """ Parse surlscript """
    try:
        f = open(path)
    except IOError:
        print "ERROR: Cannot read surlscript file %s" % path
        sys.exit(1)
    
    scr = {
        'service' : 'tinyurl.com',
        'url' : ''
    }
    linenum = 1
    
    for line in f.readlines():
        if line == "\n" or line.startswith("#"):
            continue
        if line.endswith("\n"):
            line = line[0:len(line) - 1]
        if line.startswith("srv "):
            line = line[4:len(line)]
            scr['service'] = line
        elif line.startswith("st "):
            line = line[3:len(line)]
            scr['url'] = line
        elif line == "sht" or line.startswith("sht "):
            shorten(args, scr['service'], scr['url'])
        else:
            print "ERROR: " + path + " at line " + str(linenum) + ": Unknown function or missing argument: " + line 
        linenum = linenum + 1
    sys.exit()
        
